package com.fr.plugin.pack.traffic;

import com.fr.plugin.pack.PackConstants;
import com.fr.plugin.pack.conf.PackPluginConfig;

/**
 * @author Jonas
 * @version 5.1.3
 * Created by Jonas on 2020-10-19
 */
public class PackTrafficFactory {
    private static PackTraffic widgetTraffic = new PackTrafficImpl(PackConstants.WIDGET_TRAFFIC_NAME,() -> PackPluginConfig.getInstance().getWidgetQueryMax());
    private static PackTraffic reportTraffic = new PackTrafficImpl(PackConstants.REPORT_TRAFFIC_NAME,() -> PackPluginConfig.getInstance().getReportQueryMax());

    public static PackTraffic getWidgetTraffic() {
        return widgetTraffic;
    }

    public static PackTraffic getReportTraffic() {
        return reportTraffic;
    }
}
