package com.fr.plugin.pack.http;

import com.finebi.activate.foundation.StableManager;
import com.finebi.common.api.vo.table.parameter.Parameters;
import com.finebi.common.exception.FineEngineException;
import com.finebi.dashboard.api.bean.report.ReportBean;
import com.finebi.dashboard.api.bean.widget.WidgetBean;
import com.finebi.dashboard.api.service.FineDashBoardService;
import com.finebi.dashboard.api.service.FineWidgetExecutorService;
import com.finebi.dashboard.impl.helper.FineDashBoardUtils;
import com.finebi.dashboard.impl.service.FineDashBoardServiceImpl;
import com.finebi.dashboard.impl.service.FineWidgetExecutorServiceImpl;
import com.finebi.dashboard.impl.widget.visitor.TableAbsentChecker;
import com.finebi.foundation.api.reponse.FineRespond;
import com.finebi.web.mock.web.test.DelegatingServletInputStream;
import com.fr.decision.authority.data.User;
import com.fr.plugin.pack.conf.PackPluginConfig;
import mockit.Expectations;
import mockit.Mock;
import mockit.MockUp;
import mockit.Mocked;
import org.junit.Test;
import sun.misc.IOUtils;

import javax.servlet.ServletInputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.ByteArrayInputStream;
import java.io.IOException;

import static org.junit.Assert.*;

/**
 * @author Jonas
 * @version 5.1.3
 * Created by Jonas on 2020-10-20
 */
public class PackHttpHandlerTest {
    private String body = "{\"widgets\":{\"4339cd8362f546e99fc90d54e3755ddb\":{\"type\":1,\"tableName\":\"kyligence_NULLCS_D\",\"timeStamp\":1602758845193,\"bounds\":{\"left\":0,\"top\":0,\"width\":742.2222222222223,\"height\":248.61111111111111},\"name\":\"未命名组件\",\"viewAttr\":{\"10000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0},\"20000\":{\"type\":1,\"size\":0},\"30000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0}},\"allowOverlap\":false,\"showTitle\":true,\"mobile\":false,\"view\":{\"10000\":[],\"20000\":[],\"30000\":[\"8c4ed96759776abd\"]},\"dimensions\":{\"16e524b5e619b609\":{\"name\":\"NAME\",\"type\":1,\"notShowNull\":false,\"id\":\"16e524b5e619b609\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"toCountType\":0,\"group\":{\"type\":2},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}},\"8c4ed96759776abd\":{\"name\":\"ID\",\"type\":2,\"notShowNull\":false,\"id\":\"8c4ed96759776abd\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_ID\",\"toCountType\":0,\"group\":{\"type\":3},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}}},\"page\":0,\"realData\":false,\"allData\":false,\"templateChartColorChange\":false,\"detailSetting\":false,\"settings\":{\"chartAttr\":{\"graphic\":{\"dimensionId\":\"\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":-1,\"roundRadius\":-1,\"pointRadius\":-1,\"heatRadius\":-1,\"lineWidth\":-1,\"funnelWidth\":-1,\"gaugeRadius\":-1,\"lastSliderPosition\":0},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"allowOverlap\":false,\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"},\"entire\":{\"dimensionId\":\"entire\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1,\"borderColor\":\"\",\"nonField\":{\"color\":\"\"},\"dimension\":{\"auto\":true,\"customize\":false,\"colors\":[],\"colorMap\":{}},\"measure\":{\"gradientType\":\"continuous\",\"name\":\"auto\",\"autoInterval\":true,\"count\":2,\"custom\":{\"min\":0,\"max\":0,\"ranges\":[]}},\"gauge\":{\"pointColor\":\"\",\"tickColor\":\"\",\"tickSlotColor\":\"\",\"hubColor\":\"\",\"hubBackgroundColor\":\"\",\"backgroundColor\":\"\"}},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":30,\"roundRadius\":0,\"pointRadius\":11,\"heatRadius\":40,\"square\":{\"width\":30,\"innerRadiusRatio\":0.5,\"convert2MultiPie\":false},\"lineWidth\":-1,\"text\":{\"size\":50,\"valid\":true},\"funnelWidth\":1,\"gaugeRadius\":0.7,\"pieRadius\":{\"sameRadius\":true,\"radius\":40,\"innerRadiusRatio\":0.75},\"lastSliderPosition\":-1},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"position\":\"outside\",\"showWay\":\"all\",\"allowOverlap\":false,\"autoAdjust\":\"hide\",\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"background\":\"\",\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"}},\"chartStyle\":{\"legend\":{\"enabled\":true,\"fontStyle\":{\"auto\":true,\"type\":0,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"fontColor\":\"\",\"fontBold\":false,\"bold\":false,\"italic\":false,\"fontAlign\":0},\"borderColor\":\"transparent\",\"position\":\"right\"},\"axis\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"hGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"vGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"adaptive\":{\"type\":\"standard\"}},\"tableStyle\":{\"form\":1,\"style\":0,\"themeColor\":null,\"showTitle\":false,\"freezeDim\":true,\"transmitLinkages\":false,\"expandRowHeader\":false,\"expandColHeader\":false,\"showRowSum\":true,\"showColSum\":true,\"showSequence\":false,\"textWrapper\":false,\"rowHeight\":25,\"rowCounts\":20,\"colCounts\":7,\"totalRows\":1000,\"sumRowText\":\"\",\"showChildRowSum\":true,\"showChildColSum\":true,\"headerTextWrapper\":false,\"headerRowHeight\":25,\"rowPosition\":\"bottom\",\"colPosition\":\"right\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"fontAlign\":null,\"fontColor\":null},\"body\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"dimFontAlign\":null,\"tarFontAlign\":null,\"fontColor\":null}},\"metric\":{\"show\":true,\"position\":3,\"type\":2}},\"transmitLinkages\":false,\"tableAttr\":{\"equalDivideColumn\":false,\"color\":{\"all\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]},\"8c4ed96759776abd\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]}},\"shape\":{\"all\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]},\"8c4ed96759776abd\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]}},\"filterValue\":{}},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleHeight\":25,\"nameStyleType\":1,\"gisBackground\":{\"show\":true,\"layer\":null,\"zoomIn\":\"放大\",\"zoomOut\":\"缩小\"}},\"linkage\":{},\"jump\":[],\"openJump\":true,\"facet\":{\"hCustomUnit\":false,\"vCustomUnit\":false,\"hUnit\":0,\"vUnit\":0,\"hCustomSize\":false,\"vCustomSize\":false,\"hSize\":0,\"vSize\":0},\"dimensionGroups\":{\"4339cd8362f546e99fc90d54e3755ddb_kyligence[5f]NULLCS[5f]D_NAME_2\":{\"group\":\"4339cd8362f546e99fc90d54e3755ddb_kyligence[5f]NULLCS[5f]D_NAME_2\",\"dimensionIds\":[\"16e524b5e619b609\"]},\"4339cd8362f546e99fc90d54e3755ddb_kyligence[5f]NULLCS[5f]D_ID_3_0\":{\"group\":\"4339cd8362f546e99fc90d54e3755ddb_kyligence[5f]NULLCS[5f]D_ID_3_0\",\"dimensionIds\":[\"8c4ed96759776abd\"]}},\"drillOrder\":[],\"resultFilter\":[\"16e524b5e619b609\"],\"columnSize\":[],\"regionColumnSize\":[],\"uploadedImages\":[],\"wId\":\"4339cd8362f546e99fc90d54e3755ddb\",\"measures\":[{\"name\":\"NAME\",\"id\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"type\":16,\"geoType\":0,\"transform\":false,\"transferName\":\"NAME\",\"copied\":false,\"drilled\":false,\"group\":{\"group_2\":{\"sort\":{\"details\":[],\"type\":2},\"filter\":{\"filterValue\":{\"type\":1,\"assist\":[\"分组1\",\"\"],\"value\":[\"July\",\"分组\"]},\"targetId\":\"4339cd8362f546e99fc90d54e3755ddb_kyligence[5f]NULLCS[5f]D_NAME_2\",\"filterType\":1},\"customGroup\":{\"value\":{\"details\":[{\"content\":[{\"value\":\"Alice\"},{\"value\":\"B\"},{\"value\":\"Billy\"}],\"id\":\"4a8fc652fa22fbed\",\"value\":\"分组\"},{\"content\":[{\"value\":\"Bob\"},{\"value\":\"Clay\"},{\"value\":\"Dewei\"}],\"id\":\"b619db2a53785904\",\"value\":\"分组1\"}],\"useOther\":\"\"},\"type\":2},\"repeatCal\":true,\"useDataBar\":false,\"showMissingTime\":false}}}],\"templateStyle\":{\"id\":\"DEFAULT\",\"theme\":\"bi-theme-default\",\"widgetGap\":1,\"templateBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleFont\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":1},\"chart\":{\"chartColor\":[\"#ffbf53\",\"#04b1c2\",\"#f07474\",\"#c55784\",\"#9a5fb3\",\"#cf62d7\",\"#5e78ea\",\"#51b3f0\",\"#69d4dc\",\"#49b788\",\"#9ccc66\",\"#ffdb03\",\"#c18c00\",\"#363636\",\"#426fb3\",\"#66bf7f\",\"#f9cd76\",\"#392884\",\"#00ae71\",\"#93aad6\",\"#490761\",\"#faf14b\",\"#955305\",\"#016241\",\"#7388c1\",\"#8f1e20\",\"#d69b01\",\"#b7b7b7\",\"#511f90\",\"#99d0b9\",\"#c7c300\"],\"font\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\"},\"gradient\":[\"#4FDEFF\",\"#439DF7\",\"#526EFA\"]},\"table\":{\"tableStyle\":1,\"themeColor\":\"#CDE1FC\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":2},\"body\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"dimFontAlign\":1,\"tarFontAlign\":3}}},\"controlTheme\":\"\"},\"filter\":{\"filterType\":34,\"filterValue\":[]},\"widgetIdValueMap\":{},\"parameter\":{},\"rowExpand\":[],\"headerExpand\":{},\"filterValues\":[],\"globalFilter\":null,\"sessionId\":\"848a8ed5-456c-48cf-bda7-3f252a4d5c27\",\"reportId\":\"ecf4554aa851409199fbf224068d0c32\"},\"3a6851fb36bb68a4\":{\"type\":1,\"tableName\":\"kyligence_NULLCS_D\",\"timeStamp\":1603087265407,\"bounds\":{\"left\":0,\"top\":248.61111111111111,\"width\":742.2222222222223,\"height\":248.61111111111111},\"name\":\"未命名组件1\",\"viewAttr\":{\"10000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0},\"20000\":{\"type\":1,\"size\":0},\"30000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0}},\"allowOverlap\":false,\"showTitle\":true,\"mobile\":false,\"view\":{\"10000\":[],\"20000\":[],\"30000\":[\"133462a3c153cb76\"]},\"dimensions\":{\"01167ed690b6cd3e\":{\"name\":\"NAME\",\"type\":1,\"notShowNull\":false,\"id\":\"01167ed690b6cd3e\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"toCountType\":0,\"group\":{\"type\":2},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}},\"133462a3c153cb76\":{\"name\":\"ID\",\"type\":2,\"notShowNull\":false,\"id\":\"133462a3c153cb76\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_ID\",\"toCountType\":0,\"group\":{\"type\":3},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}}},\"page\":0,\"realData\":false,\"allData\":false,\"templateChartColorChange\":false,\"detailSetting\":false,\"settings\":{\"chartAttr\":{\"graphic\":{\"dimensionId\":\"\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":-1,\"roundRadius\":-1,\"pointRadius\":-1,\"heatRadius\":-1,\"lineWidth\":-1,\"funnelWidth\":-1,\"gaugeRadius\":-1,\"lastSliderPosition\":0},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"allowOverlap\":false,\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"},\"entire\":{\"dimensionId\":\"entire\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1,\"borderColor\":\"\",\"nonField\":{\"color\":\"\"},\"dimension\":{\"auto\":true,\"customize\":false,\"colors\":[],\"colorMap\":{}},\"measure\":{\"gradientType\":\"continuous\",\"name\":\"auto\",\"autoInterval\":true,\"count\":2,\"custom\":{\"min\":0,\"max\":0,\"ranges\":[]}},\"gauge\":{\"pointColor\":\"\",\"tickColor\":\"\",\"tickSlotColor\":\"\",\"hubColor\":\"\",\"hubBackgroundColor\":\"\",\"backgroundColor\":\"\"}},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":30,\"roundRadius\":0,\"pointRadius\":11,\"heatRadius\":40,\"square\":{\"width\":30,\"innerRadiusRatio\":0.5,\"convert2MultiPie\":false},\"lineWidth\":-1,\"text\":{\"size\":50,\"valid\":true},\"funnelWidth\":1,\"gaugeRadius\":0.7,\"pieRadius\":{\"sameRadius\":true,\"radius\":40,\"innerRadiusRatio\":0.75},\"lastSliderPosition\":-1},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"position\":\"outside\",\"showWay\":\"all\",\"allowOverlap\":false,\"autoAdjust\":\"hide\",\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"background\":\"\",\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"}},\"chartStyle\":{\"legend\":{\"enabled\":true,\"fontStyle\":{\"auto\":true,\"type\":0,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"fontColor\":\"\",\"fontBold\":false,\"bold\":false,\"italic\":false,\"fontAlign\":0},\"borderColor\":\"transparent\",\"position\":\"right\"},\"axis\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"hGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"vGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"adaptive\":{\"type\":\"standard\"}},\"tableStyle\":{\"form\":1,\"style\":0,\"themeColor\":null,\"showTitle\":false,\"freezeDim\":true,\"transmitLinkages\":false,\"expandRowHeader\":false,\"expandColHeader\":false,\"showRowSum\":true,\"showColSum\":true,\"showSequence\":false,\"textWrapper\":false,\"rowHeight\":25,\"rowCounts\":20,\"colCounts\":7,\"totalRows\":1000,\"sumRowText\":\"\",\"showChildRowSum\":true,\"showChildColSum\":true,\"headerTextWrapper\":false,\"headerRowHeight\":25,\"rowPosition\":\"bottom\",\"colPosition\":\"right\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"fontAlign\":null,\"fontColor\":null},\"body\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"dimFontAlign\":null,\"tarFontAlign\":null,\"fontColor\":null}},\"metric\":{\"show\":true,\"position\":3,\"type\":2}},\"transmitLinkages\":false,\"tableAttr\":{\"equalDivideColumn\":false,\"color\":{\"all\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]},\"133462a3c153cb76\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]}},\"shape\":{\"all\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]},\"133462a3c153cb76\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]}},\"filterValue\":{}},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleHeight\":25,\"nameStyleType\":1,\"gisBackground\":{\"show\":true,\"layer\":null,\"zoomIn\":\"放大\",\"zoomOut\":\"缩小\"}},\"linkage\":{},\"jump\":[],\"openJump\":true,\"facet\":{\"hCustomUnit\":false,\"vCustomUnit\":false,\"hUnit\":0,\"vUnit\":0,\"hCustomSize\":false,\"vCustomSize\":false,\"hSize\":0,\"vSize\":0},\"dimensionGroups\":{\"3a6851fb36bb68a4_kyligence[5f]NULLCS[5f]D_NAME_2\":{\"group\":\"3a6851fb36bb68a4_kyligence[5f]NULLCS[5f]D_NAME_2\",\"dimensionIds\":[\"01167ed690b6cd3e\"]},\"3a6851fb36bb68a4_kyligence[5f]NULLCS[5f]D_ID_3_0\":{\"group\":\"3a6851fb36bb68a4_kyligence[5f]NULLCS[5f]D_ID_3_0\",\"dimensionIds\":[\"133462a3c153cb76\"]}},\"drillOrder\":[],\"resultFilter\":[\"01167ed690b6cd3e\"],\"columnSize\":[],\"regionColumnSize\":[],\"uploadedImages\":[],\"wId\":\"3a6851fb36bb68a4\",\"measures\":[{\"name\":\"NAME\",\"id\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"type\":16,\"geoType\":0,\"transform\":false,\"transferName\":\"NAME\",\"copied\":false,\"drilled\":false,\"group\":{\"group_2\":{\"sort\":{\"details\":[],\"type\":2},\"filter\":{\"filterValue\":{\"type\":1,\"assist\":[\"分组1\",\"\"],\"value\":[\"July\",\"分组\"]},\"targetId\":\"3a6851fb36bb68a4_kyligence[5f]NULLCS[5f]D_NAME_2\",\"filterType\":1},\"customGroup\":{\"value\":{\"details\":[{\"content\":[{\"value\":\"Alice\"},{\"value\":\"B\"},{\"value\":\"Billy\"}],\"id\":\"4a8fc652fa22fbed\",\"value\":\"分组\"},{\"content\":[{\"value\":\"Bob\"},{\"value\":\"Clay\"},{\"value\":\"Dewei\"}],\"id\":\"b619db2a53785904\",\"value\":\"分组1\"}],\"useOther\":\"\"},\"type\":2},\"repeatCal\":true,\"useDataBar\":false,\"showMissingTime\":false}}}],\"templateStyle\":{\"id\":\"DEFAULT\",\"theme\":\"bi-theme-default\",\"widgetGap\":1,\"templateBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleFont\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":1},\"chart\":{\"chartColor\":[\"#ffbf53\",\"#04b1c2\",\"#f07474\",\"#c55784\",\"#9a5fb3\",\"#cf62d7\",\"#5e78ea\",\"#51b3f0\",\"#69d4dc\",\"#49b788\",\"#9ccc66\",\"#ffdb03\",\"#c18c00\",\"#363636\",\"#426fb3\",\"#66bf7f\",\"#f9cd76\",\"#392884\",\"#00ae71\",\"#93aad6\",\"#490761\",\"#faf14b\",\"#955305\",\"#016241\",\"#7388c1\",\"#8f1e20\",\"#d69b01\",\"#b7b7b7\",\"#511f90\",\"#99d0b9\",\"#c7c300\"],\"font\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\"},\"gradient\":[\"#4FDEFF\",\"#439DF7\",\"#526EFA\"]},\"table\":{\"tableStyle\":1,\"themeColor\":\"#CDE1FC\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":2},\"body\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"dimFontAlign\":1,\"tarFontAlign\":3}}},\"controlTheme\":\"\"},\"filter\":{\"filterType\":34,\"filterValue\":[]},\"widgetIdValueMap\":{},\"parameter\":{},\"rowExpand\":[],\"headerExpand\":{},\"filterValues\":[],\"globalFilter\":null,\"sessionId\":\"848a8ed5-456c-48cf-bda7-3f252a4d5c27\",\"reportId\":\"ecf4554aa851409199fbf224068d0c32\"},\"08489dc8412178ec\":{\"type\":1,\"tableName\":\"kyligence_NULLCS_D\",\"timeStamp\":1603087269478,\"bounds\":{\"left\":0,\"top\":497.22222222222223,\"width\":742.2222222222223,\"height\":248.61111111111111},\"name\":\"未命名组件11\",\"viewAttr\":{\"10000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0},\"20000\":{\"type\":1,\"size\":0},\"30000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0}},\"allowOverlap\":false,\"showTitle\":true,\"mobile\":false,\"view\":{\"10000\":[],\"20000\":[],\"30000\":[\"fb3d7d6bb78805d8\"]},\"dimensions\":{\"8c36dd275da0a6fe\":{\"name\":\"NAME\",\"type\":1,\"notShowNull\":false,\"id\":\"8c36dd275da0a6fe\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"toCountType\":0,\"group\":{\"type\":2},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}},\"fb3d7d6bb78805d8\":{\"name\":\"ID\",\"type\":2,\"notShowNull\":false,\"id\":\"fb3d7d6bb78805d8\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_ID\",\"toCountType\":0,\"group\":{\"type\":3},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}}},\"page\":0,\"realData\":false,\"allData\":false,\"templateChartColorChange\":false,\"detailSetting\":false,\"settings\":{\"chartAttr\":{\"graphic\":{\"dimensionId\":\"\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":-1,\"roundRadius\":-1,\"pointRadius\":-1,\"heatRadius\":-1,\"lineWidth\":-1,\"funnelWidth\":-1,\"gaugeRadius\":-1,\"lastSliderPosition\":0},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"allowOverlap\":false,\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"},\"entire\":{\"dimensionId\":\"entire\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1,\"borderColor\":\"\",\"nonField\":{\"color\":\"\"},\"dimension\":{\"auto\":true,\"customize\":false,\"colors\":[],\"colorMap\":{}},\"measure\":{\"gradientType\":\"continuous\",\"name\":\"auto\",\"autoInterval\":true,\"count\":2,\"custom\":{\"min\":0,\"max\":0,\"ranges\":[]}},\"gauge\":{\"pointColor\":\"\",\"tickColor\":\"\",\"tickSlotColor\":\"\",\"hubColor\":\"\",\"hubBackgroundColor\":\"\",\"backgroundColor\":\"\"}},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":30,\"roundRadius\":0,\"pointRadius\":11,\"heatRadius\":40,\"square\":{\"width\":30,\"innerRadiusRatio\":0.5,\"convert2MultiPie\":false},\"lineWidth\":-1,\"text\":{\"size\":50,\"valid\":true},\"funnelWidth\":1,\"gaugeRadius\":0.7,\"pieRadius\":{\"sameRadius\":true,\"radius\":40,\"innerRadiusRatio\":0.75},\"lastSliderPosition\":-1},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"position\":\"outside\",\"showWay\":\"all\",\"allowOverlap\":false,\"autoAdjust\":\"hide\",\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"background\":\"\",\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"}},\"chartStyle\":{\"legend\":{\"enabled\":true,\"fontStyle\":{\"auto\":true,\"type\":0,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"fontColor\":\"\",\"fontBold\":false,\"bold\":false,\"italic\":false,\"fontAlign\":0},\"borderColor\":\"transparent\",\"position\":\"right\"},\"axis\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"hGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"vGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"adaptive\":{\"type\":\"standard\"}},\"tableStyle\":{\"form\":1,\"style\":0,\"themeColor\":null,\"showTitle\":false,\"freezeDim\":true,\"transmitLinkages\":false,\"expandRowHeader\":false,\"expandColHeader\":false,\"showRowSum\":true,\"showColSum\":true,\"showSequence\":false,\"textWrapper\":false,\"rowHeight\":25,\"rowCounts\":20,\"colCounts\":7,\"totalRows\":1000,\"sumRowText\":\"\",\"showChildRowSum\":true,\"showChildColSum\":true,\"headerTextWrapper\":false,\"headerRowHeight\":25,\"rowPosition\":\"bottom\",\"colPosition\":\"right\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"fontAlign\":null,\"fontColor\":null},\"body\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"dimFontAlign\":null,\"tarFontAlign\":null,\"fontColor\":null}},\"metric\":{\"show\":true,\"position\":3,\"type\":2}},\"transmitLinkages\":false,\"tableAttr\":{\"equalDivideColumn\":false,\"color\":{\"all\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]},\"fb3d7d6bb78805d8\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]}},\"shape\":{\"all\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]},\"fb3d7d6bb78805d8\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]}},\"filterValue\":{}},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleHeight\":25,\"nameStyleType\":1,\"gisBackground\":{\"show\":true,\"layer\":null,\"zoomIn\":\"放大\",\"zoomOut\":\"缩小\"}},\"linkage\":{},\"jump\":[],\"openJump\":true,\"facet\":{\"hCustomUnit\":false,\"vCustomUnit\":false,\"hUnit\":0,\"vUnit\":0,\"hCustomSize\":false,\"vCustomSize\":false,\"hSize\":0,\"vSize\":0},\"dimensionGroups\":{\"08489dc8412178ec_kyligence[5f]NULLCS[5f]D_NAME_2\":{\"group\":\"08489dc8412178ec_kyligence[5f]NULLCS[5f]D_NAME_2\",\"dimensionIds\":[\"8c36dd275da0a6fe\"]},\"08489dc8412178ec_kyligence[5f]NULLCS[5f]D_ID_3_0\":{\"group\":\"08489dc8412178ec_kyligence[5f]NULLCS[5f]D_ID_3_0\",\"dimensionIds\":[\"fb3d7d6bb78805d8\"]}},\"drillOrder\":[],\"resultFilter\":[\"8c36dd275da0a6fe\"],\"columnSize\":[],\"regionColumnSize\":[],\"uploadedImages\":[],\"wId\":\"08489dc8412178ec\",\"measures\":[{\"name\":\"NAME\",\"id\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"type\":16,\"geoType\":0,\"transform\":false,\"transferName\":\"NAME\",\"copied\":false,\"drilled\":false,\"group\":{\"group_2\":{\"sort\":{\"details\":[],\"type\":2},\"filter\":{\"filterValue\":{\"type\":1,\"assist\":[\"分组1\",\"\"],\"value\":[\"July\",\"分组\"]},\"targetId\":\"08489dc8412178ec_kyligence[5f]NULLCS[5f]D_NAME_2\",\"filterType\":1},\"customGroup\":{\"value\":{\"details\":[{\"content\":[{\"value\":\"Alice\"},{\"value\":\"B\"},{\"value\":\"Billy\"}],\"id\":\"4a8fc652fa22fbed\",\"value\":\"分组\"},{\"content\":[{\"value\":\"Bob\"},{\"value\":\"Clay\"},{\"value\":\"Dewei\"}],\"id\":\"b619db2a53785904\",\"value\":\"分组1\"}],\"useOther\":\"\"},\"type\":2},\"repeatCal\":true,\"useDataBar\":false,\"showMissingTime\":false}}}],\"templateStyle\":{\"id\":\"DEFAULT\",\"theme\":\"bi-theme-default\",\"widgetGap\":1,\"templateBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleFont\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":1},\"chart\":{\"chartColor\":[\"#ffbf53\",\"#04b1c2\",\"#f07474\",\"#c55784\",\"#9a5fb3\",\"#cf62d7\",\"#5e78ea\",\"#51b3f0\",\"#69d4dc\",\"#49b788\",\"#9ccc66\",\"#ffdb03\",\"#c18c00\",\"#363636\",\"#426fb3\",\"#66bf7f\",\"#f9cd76\",\"#392884\",\"#00ae71\",\"#93aad6\",\"#490761\",\"#faf14b\",\"#955305\",\"#016241\",\"#7388c1\",\"#8f1e20\",\"#d69b01\",\"#b7b7b7\",\"#511f90\",\"#99d0b9\",\"#c7c300\"],\"font\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\"},\"gradient\":[\"#4FDEFF\",\"#439DF7\",\"#526EFA\"]},\"table\":{\"tableStyle\":1,\"themeColor\":\"#CDE1FC\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":2},\"body\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"dimFontAlign\":1,\"tarFontAlign\":3}}},\"controlTheme\":\"\"},\"filter\":{\"filterType\":34,\"filterValue\":[]},\"widgetIdValueMap\":{},\"parameter\":{},\"rowExpand\":[],\"headerExpand\":{},\"filterValues\":[],\"globalFilter\":null,\"sessionId\":\"848a8ed5-456c-48cf-bda7-3f252a4d5c27\",\"reportId\":\"ecf4554aa851409199fbf224068d0c32\"},\"5a9ffed4248bdb96\":{\"type\":1,\"tableName\":\"kyligence_NULLCS_D\",\"timeStamp\":1603087272887,\"bounds\":{\"left\":0,\"top\":745.8333333333334,\"width\":742.2222222222223,\"height\":248.61111111111111},\"name\":\"未命名组件2\",\"viewAttr\":{\"10000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0},\"20000\":{\"type\":1,\"size\":0},\"30000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0}},\"allowOverlap\":false,\"showTitle\":true,\"mobile\":false,\"view\":{\"10000\":[],\"20000\":[],\"30000\":[\"43beee183bf6c1bf\"]},\"dimensions\":{\"70b4bf7cbd0aeafb\":{\"name\":\"NAME\",\"type\":1,\"notShowNull\":false,\"id\":\"70b4bf7cbd0aeafb\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"toCountType\":0,\"group\":{\"type\":2},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}},\"43beee183bf6c1bf\":{\"name\":\"ID\",\"type\":2,\"notShowNull\":false,\"id\":\"43beee183bf6c1bf\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_ID\",\"toCountType\":0,\"group\":{\"type\":3},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}}},\"page\":0,\"realData\":false,\"allData\":false,\"templateChartColorChange\":false,\"detailSetting\":false,\"settings\":{\"chartAttr\":{\"graphic\":{\"dimensionId\":\"\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":-1,\"roundRadius\":-1,\"pointRadius\":-1,\"heatRadius\":-1,\"lineWidth\":-1,\"funnelWidth\":-1,\"gaugeRadius\":-1,\"lastSliderPosition\":0},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"allowOverlap\":false,\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"},\"entire\":{\"dimensionId\":\"entire\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1,\"borderColor\":\"\",\"nonField\":{\"color\":\"\"},\"dimension\":{\"auto\":true,\"customize\":false,\"colors\":[],\"colorMap\":{}},\"measure\":{\"gradientType\":\"continuous\",\"name\":\"auto\",\"autoInterval\":true,\"count\":2,\"custom\":{\"min\":0,\"max\":0,\"ranges\":[]}},\"gauge\":{\"pointColor\":\"\",\"tickColor\":\"\",\"tickSlotColor\":\"\",\"hubColor\":\"\",\"hubBackgroundColor\":\"\",\"backgroundColor\":\"\"}},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":30,\"roundRadius\":0,\"pointRadius\":11,\"heatRadius\":40,\"square\":{\"width\":30,\"innerRadiusRatio\":0.5,\"convert2MultiPie\":false},\"lineWidth\":-1,\"text\":{\"size\":50,\"valid\":true},\"funnelWidth\":1,\"gaugeRadius\":0.7,\"pieRadius\":{\"sameRadius\":true,\"radius\":40,\"innerRadiusRatio\":0.75},\"lastSliderPosition\":-1},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"position\":\"outside\",\"showWay\":\"all\",\"allowOverlap\":false,\"autoAdjust\":\"hide\",\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"background\":\"\",\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"}},\"chartStyle\":{\"legend\":{\"enabled\":true,\"fontStyle\":{\"auto\":true,\"type\":0,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"fontColor\":\"\",\"fontBold\":false,\"bold\":false,\"italic\":false,\"fontAlign\":0},\"borderColor\":\"transparent\",\"position\":\"right\"},\"axis\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"hGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"vGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"adaptive\":{\"type\":\"standard\"}},\"tableStyle\":{\"form\":1,\"style\":0,\"themeColor\":null,\"showTitle\":false,\"freezeDim\":true,\"transmitLinkages\":false,\"expandRowHeader\":false,\"expandColHeader\":false,\"showRowSum\":true,\"showColSum\":true,\"showSequence\":false,\"textWrapper\":false,\"rowHeight\":25,\"rowCounts\":20,\"colCounts\":7,\"totalRows\":1000,\"sumRowText\":\"\",\"showChildRowSum\":true,\"showChildColSum\":true,\"headerTextWrapper\":false,\"headerRowHeight\":25,\"rowPosition\":\"bottom\",\"colPosition\":\"right\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"fontAlign\":null,\"fontColor\":null},\"body\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"dimFontAlign\":null,\"tarFontAlign\":null,\"fontColor\":null}},\"metric\":{\"show\":true,\"position\":3,\"type\":2}},\"transmitLinkages\":false,\"tableAttr\":{\"equalDivideColumn\":false,\"color\":{\"all\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]},\"43beee183bf6c1bf\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]}},\"shape\":{\"all\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]},\"43beee183bf6c1bf\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]}},\"filterValue\":{}},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleHeight\":25,\"nameStyleType\":1,\"gisBackground\":{\"show\":true,\"layer\":null,\"zoomIn\":\"放大\",\"zoomOut\":\"缩小\"}},\"linkage\":{},\"jump\":[],\"openJump\":true,\"facet\":{\"hCustomUnit\":false,\"vCustomUnit\":false,\"hUnit\":0,\"vUnit\":0,\"hCustomSize\":false,\"vCustomSize\":false,\"hSize\":0,\"vSize\":0},\"dimensionGroups\":{\"5a9ffed4248bdb96_kyligence[5f]NULLCS[5f]D_NAME_2\":{\"group\":\"5a9ffed4248bdb96_kyligence[5f]NULLCS[5f]D_NAME_2\",\"dimensionIds\":[\"70b4bf7cbd0aeafb\"]},\"5a9ffed4248bdb96_kyligence[5f]NULLCS[5f]D_ID_3_0\":{\"group\":\"5a9ffed4248bdb96_kyligence[5f]NULLCS[5f]D_ID_3_0\",\"dimensionIds\":[\"43beee183bf6c1bf\"]}},\"drillOrder\":[],\"resultFilter\":[\"70b4bf7cbd0aeafb\"],\"columnSize\":[],\"regionColumnSize\":[],\"uploadedImages\":[],\"wId\":\"5a9ffed4248bdb96\",\"measures\":[{\"name\":\"NAME\",\"id\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"type\":16,\"geoType\":0,\"transform\":false,\"transferName\":\"NAME\",\"copied\":false,\"drilled\":false,\"group\":{\"group_2\":{\"sort\":{\"details\":[],\"type\":2},\"filter\":{\"filterValue\":{\"type\":1,\"assist\":[\"分组1\",\"\"],\"value\":[\"July\",\"分组\"]},\"targetId\":\"5a9ffed4248bdb96_kyligence[5f]NULLCS[5f]D_NAME_2\",\"filterType\":1},\"customGroup\":{\"value\":{\"details\":[{\"content\":[{\"value\":\"Alice\"},{\"value\":\"B\"},{\"value\":\"Billy\"}],\"id\":\"4a8fc652fa22fbed\",\"value\":\"分组\"},{\"content\":[{\"value\":\"Bob\"},{\"value\":\"Clay\"},{\"value\":\"Dewei\"}],\"id\":\"b619db2a53785904\",\"value\":\"分组1\"}],\"useOther\":\"\"},\"type\":2},\"repeatCal\":true,\"useDataBar\":false,\"showMissingTime\":false}}}],\"templateStyle\":{\"id\":\"DEFAULT\",\"theme\":\"bi-theme-default\",\"widgetGap\":1,\"templateBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleFont\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":1},\"chart\":{\"chartColor\":[\"#ffbf53\",\"#04b1c2\",\"#f07474\",\"#c55784\",\"#9a5fb3\",\"#cf62d7\",\"#5e78ea\",\"#51b3f0\",\"#69d4dc\",\"#49b788\",\"#9ccc66\",\"#ffdb03\",\"#c18c00\",\"#363636\",\"#426fb3\",\"#66bf7f\",\"#f9cd76\",\"#392884\",\"#00ae71\",\"#93aad6\",\"#490761\",\"#faf14b\",\"#955305\",\"#016241\",\"#7388c1\",\"#8f1e20\",\"#d69b01\",\"#b7b7b7\",\"#511f90\",\"#99d0b9\",\"#c7c300\"],\"font\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\"},\"gradient\":[\"#4FDEFF\",\"#439DF7\",\"#526EFA\"]},\"table\":{\"tableStyle\":1,\"themeColor\":\"#CDE1FC\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":2},\"body\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"dimFontAlign\":1,\"tarFontAlign\":3}}},\"controlTheme\":\"\"},\"filter\":{\"filterType\":34,\"filterValue\":[]},\"widgetIdValueMap\":{},\"parameter\":{},\"rowExpand\":[],\"headerExpand\":{},\"filterValues\":[],\"globalFilter\":null,\"sessionId\":\"848a8ed5-456c-48cf-bda7-3f252a4d5c27\",\"reportId\":\"ecf4554aa851409199fbf224068d0c32\"},\"d5ec8c19ccbb087f\":{\"type\":1,\"tableName\":\"kyligence_NULLCS_D\",\"timeStamp\":1603087276883,\"bounds\":{\"left\":0,\"top\":994.4444444444445,\"width\":742.2222222222223,\"height\":248.61111111111111},\"name\":\"未命名组件111\",\"viewAttr\":{\"10000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0},\"20000\":{\"type\":1,\"size\":0},\"30000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0}},\"allowOverlap\":false,\"showTitle\":true,\"mobile\":false,\"view\":{\"10000\":[],\"20000\":[],\"30000\":[\"a0fabe036eda698e\"]},\"dimensions\":{\"cbbdb1d2f935bbf1\":{\"name\":\"NAME\",\"type\":1,\"notShowNull\":false,\"id\":\"cbbdb1d2f935bbf1\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"toCountType\":0,\"group\":{\"type\":2},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}},\"a0fabe036eda698e\":{\"name\":\"ID\",\"type\":2,\"notShowNull\":false,\"id\":\"a0fabe036eda698e\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_ID\",\"toCountType\":0,\"group\":{\"type\":3},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}}},\"page\":0,\"realData\":false,\"allData\":false,\"templateChartColorChange\":false,\"detailSetting\":false,\"settings\":{\"chartAttr\":{\"graphic\":{\"dimensionId\":\"\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":-1,\"roundRadius\":-1,\"pointRadius\":-1,\"heatRadius\":-1,\"lineWidth\":-1,\"funnelWidth\":-1,\"gaugeRadius\":-1,\"lastSliderPosition\":0},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"allowOverlap\":false,\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"},\"entire\":{\"dimensionId\":\"entire\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1,\"borderColor\":\"\",\"nonField\":{\"color\":\"\"},\"dimension\":{\"auto\":true,\"customize\":false,\"colors\":[],\"colorMap\":{}},\"measure\":{\"gradientType\":\"continuous\",\"name\":\"auto\",\"autoInterval\":true,\"count\":2,\"custom\":{\"min\":0,\"max\":0,\"ranges\":[]}},\"gauge\":{\"pointColor\":\"\",\"tickColor\":\"\",\"tickSlotColor\":\"\",\"hubColor\":\"\",\"hubBackgroundColor\":\"\",\"backgroundColor\":\"\"}},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":30,\"roundRadius\":0,\"pointRadius\":11,\"heatRadius\":40,\"square\":{\"width\":30,\"innerRadiusRatio\":0.5,\"convert2MultiPie\":false},\"lineWidth\":-1,\"text\":{\"size\":50,\"valid\":true},\"funnelWidth\":1,\"gaugeRadius\":0.7,\"pieRadius\":{\"sameRadius\":true,\"radius\":40,\"innerRadiusRatio\":0.75},\"lastSliderPosition\":-1},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"position\":\"outside\",\"showWay\":\"all\",\"allowOverlap\":false,\"autoAdjust\":\"hide\",\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"background\":\"\",\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"}},\"chartStyle\":{\"legend\":{\"enabled\":true,\"fontStyle\":{\"auto\":true,\"type\":0,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"fontColor\":\"\",\"fontBold\":false,\"bold\":false,\"italic\":false,\"fontAlign\":0},\"borderColor\":\"transparent\",\"position\":\"right\"},\"axis\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"hGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"vGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"adaptive\":{\"type\":\"standard\"}},\"tableStyle\":{\"form\":1,\"style\":0,\"themeColor\":null,\"showTitle\":false,\"freezeDim\":true,\"transmitLinkages\":false,\"expandRowHeader\":false,\"expandColHeader\":false,\"showRowSum\":true,\"showColSum\":true,\"showSequence\":false,\"textWrapper\":false,\"rowHeight\":25,\"rowCounts\":20,\"colCounts\":7,\"totalRows\":1000,\"sumRowText\":\"\",\"showChildRowSum\":true,\"showChildColSum\":true,\"headerTextWrapper\":false,\"headerRowHeight\":25,\"rowPosition\":\"bottom\",\"colPosition\":\"right\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"fontAlign\":null,\"fontColor\":null},\"body\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"dimFontAlign\":null,\"tarFontAlign\":null,\"fontColor\":null}},\"metric\":{\"show\":true,\"position\":3,\"type\":2}},\"transmitLinkages\":false,\"tableAttr\":{\"equalDivideColumn\":false,\"color\":{\"all\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]},\"a0fabe036eda698e\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]}},\"shape\":{\"all\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]},\"a0fabe036eda698e\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]}},\"filterValue\":{}},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleHeight\":25,\"nameStyleType\":1,\"gisBackground\":{\"show\":true,\"layer\":null,\"zoomIn\":\"放大\",\"zoomOut\":\"缩小\"}},\"linkage\":{},\"jump\":[],\"openJump\":true,\"facet\":{\"hCustomUnit\":false,\"vCustomUnit\":false,\"hUnit\":0,\"vUnit\":0,\"hCustomSize\":false,\"vCustomSize\":false,\"hSize\":0,\"vSize\":0},\"dimensionGroups\":{\"d5ec8c19ccbb087f_kyligence[5f]NULLCS[5f]D_NAME_2\":{\"group\":\"d5ec8c19ccbb087f_kyligence[5f]NULLCS[5f]D_NAME_2\",\"dimensionIds\":[\"cbbdb1d2f935bbf1\"]},\"d5ec8c19ccbb087f_kyligence[5f]NULLCS[5f]D_ID_3_0\":{\"group\":\"d5ec8c19ccbb087f_kyligence[5f]NULLCS[5f]D_ID_3_0\",\"dimensionIds\":[\"a0fabe036eda698e\"]}},\"drillOrder\":[],\"resultFilter\":[\"cbbdb1d2f935bbf1\"],\"columnSize\":[],\"regionColumnSize\":[],\"uploadedImages\":[],\"wId\":\"d5ec8c19ccbb087f\",\"measures\":[{\"name\":\"NAME\",\"id\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"type\":16,\"geoType\":0,\"transform\":false,\"transferName\":\"NAME\",\"copied\":false,\"drilled\":false,\"group\":{\"group_2\":{\"sort\":{\"details\":[],\"type\":2},\"filter\":{\"filterValue\":{\"type\":1,\"assist\":[\"分组1\",\"\"],\"value\":[\"July\",\"分组\"]},\"targetId\":\"d5ec8c19ccbb087f_kyligence[5f]NULLCS[5f]D_NAME_2\",\"filterType\":1},\"customGroup\":{\"value\":{\"details\":[{\"content\":[{\"value\":\"Alice\"},{\"value\":\"B\"},{\"value\":\"Billy\"}],\"id\":\"4a8fc652fa22fbed\",\"value\":\"分组\"},{\"content\":[{\"value\":\"Bob\"},{\"value\":\"Clay\"},{\"value\":\"Dewei\"}],\"id\":\"b619db2a53785904\",\"value\":\"分组1\"}],\"useOther\":\"\"},\"type\":2},\"repeatCal\":true,\"useDataBar\":false,\"showMissingTime\":false}}}],\"templateStyle\":{\"id\":\"DEFAULT\",\"theme\":\"bi-theme-default\",\"widgetGap\":1,\"templateBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleFont\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":1},\"chart\":{\"chartColor\":[\"#ffbf53\",\"#04b1c2\",\"#f07474\",\"#c55784\",\"#9a5fb3\",\"#cf62d7\",\"#5e78ea\",\"#51b3f0\",\"#69d4dc\",\"#49b788\",\"#9ccc66\",\"#ffdb03\",\"#c18c00\",\"#363636\",\"#426fb3\",\"#66bf7f\",\"#f9cd76\",\"#392884\",\"#00ae71\",\"#93aad6\",\"#490761\",\"#faf14b\",\"#955305\",\"#016241\",\"#7388c1\",\"#8f1e20\",\"#d69b01\",\"#b7b7b7\",\"#511f90\",\"#99d0b9\",\"#c7c300\"],\"font\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\"},\"gradient\":[\"#4FDEFF\",\"#439DF7\",\"#526EFA\"]},\"table\":{\"tableStyle\":1,\"themeColor\":\"#CDE1FC\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":2},\"body\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"dimFontAlign\":1,\"tarFontAlign\":3}}},\"controlTheme\":\"\"},\"filter\":{\"filterType\":34,\"filterValue\":[]},\"widgetIdValueMap\":{},\"parameter\":{},\"rowExpand\":[],\"headerExpand\":{},\"filterValues\":[],\"globalFilter\":null,\"sessionId\":\"848a8ed5-456c-48cf-bda7-3f252a4d5c27\",\"reportId\":\"ecf4554aa851409199fbf224068d0c32\"},\"95a2a6ec6d0d0ae7\":{\"type\":1,\"tableName\":\"kyligence_NULLCS_D\",\"timeStamp\":1603087280841,\"bounds\":{\"left\":0,\"top\":1243.0555555555554,\"width\":742.2222222222223,\"height\":248.61111111111111},\"name\":\"未命名组件1111\",\"viewAttr\":{\"10000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0},\"20000\":{\"type\":1,\"size\":0},\"30000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0}},\"allowOverlap\":false,\"showTitle\":true,\"mobile\":false,\"view\":{\"10000\":[],\"20000\":[],\"30000\":[\"ffbd37dd6a882c5b\"]},\"dimensions\":{\"098a57676b82a917\":{\"name\":\"NAME\",\"type\":1,\"notShowNull\":false,\"id\":\"098a57676b82a917\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"toCountType\":0,\"group\":{\"type\":2},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}},\"ffbd37dd6a882c5b\":{\"name\":\"ID\",\"type\":2,\"notShowNull\":false,\"id\":\"ffbd37dd6a882c5b\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_ID\",\"toCountType\":0,\"group\":{\"type\":3},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}}},\"page\":0,\"realData\":false,\"allData\":false,\"templateChartColorChange\":false,\"detailSetting\":false,\"settings\":{\"chartAttr\":{\"graphic\":{\"dimensionId\":\"\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":-1,\"roundRadius\":-1,\"pointRadius\":-1,\"heatRadius\":-1,\"lineWidth\":-1,\"funnelWidth\":-1,\"gaugeRadius\":-1,\"lastSliderPosition\":0},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"allowOverlap\":false,\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"},\"entire\":{\"dimensionId\":\"entire\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1,\"borderColor\":\"\",\"nonField\":{\"color\":\"\"},\"dimension\":{\"auto\":true,\"customize\":false,\"colors\":[],\"colorMap\":{}},\"measure\":{\"gradientType\":\"continuous\",\"name\":\"auto\",\"autoInterval\":true,\"count\":2,\"custom\":{\"min\":0,\"max\":0,\"ranges\":[]}},\"gauge\":{\"pointColor\":\"\",\"tickColor\":\"\",\"tickSlotColor\":\"\",\"hubColor\":\"\",\"hubBackgroundColor\":\"\",\"backgroundColor\":\"\"}},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":30,\"roundRadius\":0,\"pointRadius\":11,\"heatRadius\":40,\"square\":{\"width\":30,\"innerRadiusRatio\":0.5,\"convert2MultiPie\":false},\"lineWidth\":-1,\"text\":{\"size\":50,\"valid\":true},\"funnelWidth\":1,\"gaugeRadius\":0.7,\"pieRadius\":{\"sameRadius\":true,\"radius\":40,\"innerRadiusRatio\":0.75},\"lastSliderPosition\":-1},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"position\":\"outside\",\"showWay\":\"all\",\"allowOverlap\":false,\"autoAdjust\":\"hide\",\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"background\":\"\",\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"}},\"chartStyle\":{\"legend\":{\"enabled\":true,\"fontStyle\":{\"auto\":true,\"type\":0,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"fontColor\":\"\",\"fontBold\":false,\"bold\":false,\"italic\":false,\"fontAlign\":0},\"borderColor\":\"transparent\",\"position\":\"right\"},\"axis\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"hGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"vGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"adaptive\":{\"type\":\"standard\"}},\"tableStyle\":{\"form\":1,\"style\":0,\"themeColor\":null,\"showTitle\":false,\"freezeDim\":true,\"transmitLinkages\":false,\"expandRowHeader\":false,\"expandColHeader\":false,\"showRowSum\":true,\"showColSum\":true,\"showSequence\":false,\"textWrapper\":false,\"rowHeight\":25,\"rowCounts\":20,\"colCounts\":7,\"totalRows\":1000,\"sumRowText\":\"\",\"showChildRowSum\":true,\"showChildColSum\":true,\"headerTextWrapper\":false,\"headerRowHeight\":25,\"rowPosition\":\"bottom\",\"colPosition\":\"right\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"fontAlign\":null,\"fontColor\":null},\"body\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"dimFontAlign\":null,\"tarFontAlign\":null,\"fontColor\":null}},\"metric\":{\"show\":true,\"position\":3,\"type\":2}},\"transmitLinkages\":false,\"tableAttr\":{\"equalDivideColumn\":false,\"color\":{\"all\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]},\"ffbd37dd6a882c5b\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]}},\"shape\":{\"all\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]},\"ffbd37dd6a882c5b\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]}},\"filterValue\":{}},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleHeight\":25,\"nameStyleType\":1,\"gisBackground\":{\"show\":true,\"layer\":null,\"zoomIn\":\"放大\",\"zoomOut\":\"缩小\"}},\"linkage\":{},\"jump\":[],\"openJump\":true,\"facet\":{\"hCustomUnit\":false,\"vCustomUnit\":false,\"hUnit\":0,\"vUnit\":0,\"hCustomSize\":false,\"vCustomSize\":false,\"hSize\":0,\"vSize\":0},\"dimensionGroups\":{\"95a2a6ec6d0d0ae7_kyligence[5f]NULLCS[5f]D_NAME_2\":{\"group\":\"95a2a6ec6d0d0ae7_kyligence[5f]NULLCS[5f]D_NAME_2\",\"dimensionIds\":[\"098a57676b82a917\"]},\"95a2a6ec6d0d0ae7_kyligence[5f]NULLCS[5f]D_ID_3_0\":{\"group\":\"95a2a6ec6d0d0ae7_kyligence[5f]NULLCS[5f]D_ID_3_0\",\"dimensionIds\":[\"ffbd37dd6a882c5b\"]}},\"drillOrder\":[],\"resultFilter\":[\"098a57676b82a917\"],\"columnSize\":[],\"regionColumnSize\":[],\"uploadedImages\":[],\"wId\":\"95a2a6ec6d0d0ae7\",\"measures\":[{\"name\":\"NAME\",\"id\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"type\":16,\"geoType\":0,\"transform\":false,\"transferName\":\"NAME\",\"copied\":false,\"drilled\":false,\"group\":{\"group_2\":{\"sort\":{\"details\":[],\"type\":2},\"filter\":{\"filterValue\":{\"type\":1,\"assist\":[\"分组1\",\"\"],\"value\":[\"July\",\"分组\"]},\"targetId\":\"95a2a6ec6d0d0ae7_kyligence[5f]NULLCS[5f]D_NAME_2\",\"filterType\":1},\"customGroup\":{\"value\":{\"details\":[{\"content\":[{\"value\":\"Alice\"},{\"value\":\"B\"},{\"value\":\"Billy\"}],\"id\":\"4a8fc652fa22fbed\",\"value\":\"分组\"},{\"content\":[{\"value\":\"Bob\"},{\"value\":\"Clay\"},{\"value\":\"Dewei\"}],\"id\":\"b619db2a53785904\",\"value\":\"分组1\"}],\"useOther\":\"\"},\"type\":2},\"repeatCal\":true,\"useDataBar\":false,\"showMissingTime\":false}}}],\"templateStyle\":{\"id\":\"DEFAULT\",\"theme\":\"bi-theme-default\",\"widgetGap\":1,\"templateBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleFont\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":1},\"chart\":{\"chartColor\":[\"#ffbf53\",\"#04b1c2\",\"#f07474\",\"#c55784\",\"#9a5fb3\",\"#cf62d7\",\"#5e78ea\",\"#51b3f0\",\"#69d4dc\",\"#49b788\",\"#9ccc66\",\"#ffdb03\",\"#c18c00\",\"#363636\",\"#426fb3\",\"#66bf7f\",\"#f9cd76\",\"#392884\",\"#00ae71\",\"#93aad6\",\"#490761\",\"#faf14b\",\"#955305\",\"#016241\",\"#7388c1\",\"#8f1e20\",\"#d69b01\",\"#b7b7b7\",\"#511f90\",\"#99d0b9\",\"#c7c300\"],\"font\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\"},\"gradient\":[\"#4FDEFF\",\"#439DF7\",\"#526EFA\"]},\"table\":{\"tableStyle\":1,\"themeColor\":\"#CDE1FC\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":2},\"body\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"dimFontAlign\":1,\"tarFontAlign\":3}}},\"controlTheme\":\"\"},\"filter\":{\"filterType\":34,\"filterValue\":[]},\"widgetIdValueMap\":{},\"parameter\":{},\"rowExpand\":[],\"headerExpand\":{},\"filterValues\":[],\"globalFilter\":null,\"sessionId\":\"848a8ed5-456c-48cf-bda7-3f252a4d5c27\",\"reportId\":\"ecf4554aa851409199fbf224068d0c32\"},\"89326c80be396f6f\":{\"type\":1,\"tableName\":\"kyligence_NULLCS_D\",\"timeStamp\":1603087287453,\"bounds\":{\"left\":0,\"top\":1491.6666666666667,\"width\":742.2222222222223,\"height\":248.61111111111111},\"name\":\"未命名组件11111\",\"viewAttr\":{\"10000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0},\"20000\":{\"type\":1,\"size\":0},\"30000\":{\"type\":1,\"left\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"right\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"size\":0}},\"allowOverlap\":false,\"showTitle\":true,\"mobile\":false,\"view\":{\"10000\":[],\"20000\":[],\"30000\":[\"f1f9da64495a6743\"]},\"dimensions\":{\"d20986640f019197\":{\"name\":\"NAME\",\"type\":1,\"notShowNull\":false,\"id\":\"d20986640f019197\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"toCountType\":0,\"group\":{\"type\":2},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}},\"f1f9da64495a6743\":{\"name\":\"ID\",\"type\":2,\"notShowNull\":false,\"id\":\"f1f9da64495a6743\",\"fieldId\":\"kyligence[5f]NULLCS[5f]D_ID\",\"toCountType\":0,\"group\":{\"type\":3},\"calculation\":{\"type\":0,\"value\":0},\"settings\":{\"trendLine\":[],\"cordon\":[],\"categoryAxis\":{},\"valueAxis\":{\"sharedAxis\":null,\"reversed\":false,\"log\":false},\"annotate\":[],\"size\":0,\"stack\":false,\"formatStyle\":1,\"formatDecimal\":-1,\"numLevel\":1,\"numSeparators\":true,\"tableShape\":{\"shape\":-1,\"color\":\"\",\"filters\":[]},\"tableColor\":{\"color\":\"\",\"backgroundColor\":\"\",\"filters\":[]},\"unit\":\"\",\"dateFormat\":{},\"flash\":[],\"imageData\":[]},\"showMissingTime\":false,\"metric\":0,\"counterDep\":\"TOTAL_ROWS\",\"repeatCal\":true,\"formatStyle\":0,\"formatDecimal\":0,\"numLevel\":0,\"numSeparators\":false,\"used\":true,\"drillDimensions\":{}}},\"page\":0,\"realData\":false,\"allData\":false,\"templateChartColorChange\":false,\"detailSetting\":false,\"settings\":{\"chartAttr\":{\"graphic\":{\"dimensionId\":\"\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":-1,\"roundRadius\":-1,\"pointRadius\":-1,\"heatRadius\":-1,\"lineWidth\":-1,\"funnelWidth\":-1,\"gaugeRadius\":-1,\"lastSliderPosition\":0},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"allowOverlap\":false,\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"},\"entire\":{\"dimensionId\":\"entire\",\"color\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"gradient\":true,\"overlayEffect\":false,\"opacity\":-1,\"borderColor\":\"\",\"nonField\":{\"color\":\"\"},\"dimension\":{\"auto\":true,\"customize\":false,\"colors\":[],\"colorMap\":{}},\"measure\":{\"gradientType\":\"continuous\",\"name\":\"auto\",\"autoInterval\":true,\"count\":2,\"custom\":{\"min\":0,\"max\":0,\"ranges\":[]}},\"gauge\":{\"pointColor\":\"\",\"tickColor\":\"\",\"tickSlotColor\":\"\",\"hubColor\":\"\",\"hubBackgroundColor\":\"\",\"backgroundColor\":\"\"}},\"size\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"intervalWidth\":30,\"roundRadius\":0,\"pointRadius\":11,\"heatRadius\":40,\"square\":{\"width\":30,\"innerRadiusRatio\":0.5,\"convert2MultiPie\":false},\"lineWidth\":-1,\"text\":{\"size\":50,\"valid\":true},\"funnelWidth\":1,\"gaugeRadius\":0.7,\"pieRadius\":{\"sameRadius\":true,\"radius\":40,\"innerRadiusRatio\":0.75},\"lastSliderPosition\":-1},\"label\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"position\":\"outside\",\"showWay\":\"all\",\"allowOverlap\":false,\"autoAdjust\":\"hide\",\"hasPositionModified\":false,\"valid\":true},\"tooltip\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true,\"background\":\"\",\"forecastKey\":\"预测\",\"shared\":false},\"granularity\":{\"dimensionIds\":[],\"hasModified\":false,\"auto\":true},\"type\":\"interval\"}},\"chartStyle\":{\"legend\":{\"enabled\":true,\"fontStyle\":{\"auto\":true,\"type\":0,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"fontColor\":\"\",\"fontBold\":false,\"bold\":false,\"italic\":false,\"fontAlign\":0},\"borderColor\":\"transparent\",\"position\":\"right\"},\"axis\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"hGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"vGrid\":{\"enabled\":true,\"type\":\"solid\",\"color\":\"\",\"width\":1},\"adaptive\":{\"type\":\"standard\"}},\"tableStyle\":{\"form\":1,\"style\":0,\"themeColor\":null,\"showTitle\":false,\"freezeDim\":true,\"transmitLinkages\":false,\"expandRowHeader\":false,\"expandColHeader\":false,\"showRowSum\":true,\"showColSum\":true,\"showSequence\":false,\"textWrapper\":false,\"rowHeight\":25,\"rowCounts\":20,\"colCounts\":7,\"totalRows\":1000,\"sumRowText\":\"\",\"showChildRowSum\":true,\"showChildColSum\":true,\"headerTextWrapper\":false,\"headerRowHeight\":25,\"rowPosition\":\"bottom\",\"colPosition\":\"right\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"fontAlign\":null,\"fontColor\":null},\"body\":{\"fontFamily\":null,\"fontSize\":null,\"bold\":null,\"italic\":null,\"underline\":null,\"dimFontAlign\":null,\"tarFontAlign\":null,\"fontColor\":null}},\"metric\":{\"show\":true,\"position\":3,\"type\":2}},\"transmitLinkages\":false,\"tableAttr\":{\"equalDivideColumn\":false,\"color\":{\"all\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]},\"f1f9da64495a6743\":{\"dims\":[],\"color\":\"\",\"backgroundColor\":\"\",\"conditions\":[]}},\"shape\":{\"all\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]},\"f1f9da64495a6743\":{\"shape\":-1,\"color\":\"\",\"dims\":[],\"conditionsList\":[]}},\"filterValue\":{}},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleHeight\":25,\"nameStyleType\":1,\"gisBackground\":{\"show\":true,\"layer\":null,\"zoomIn\":\"放大\",\"zoomOut\":\"缩小\"}},\"linkage\":{},\"jump\":[],\"openJump\":true,\"facet\":{\"hCustomUnit\":false,\"vCustomUnit\":false,\"hUnit\":0,\"vUnit\":0,\"hCustomSize\":false,\"vCustomSize\":false,\"hSize\":0,\"vSize\":0},\"dimensionGroups\":{\"89326c80be396f6f_kyligence[5f]NULLCS[5f]D_NAME_2\":{\"group\":\"89326c80be396f6f_kyligence[5f]NULLCS[5f]D_NAME_2\",\"dimensionIds\":[\"d20986640f019197\"]},\"89326c80be396f6f_kyligence[5f]NULLCS[5f]D_ID_3_0\":{\"group\":\"89326c80be396f6f_kyligence[5f]NULLCS[5f]D_ID_3_0\",\"dimensionIds\":[\"f1f9da64495a6743\"]}},\"drillOrder\":[],\"resultFilter\":[\"d20986640f019197\"],\"columnSize\":[],\"regionColumnSize\":[],\"uploadedImages\":[],\"wId\":\"89326c80be396f6f\",\"measures\":[{\"name\":\"NAME\",\"id\":\"kyligence[5f]NULLCS[5f]D_NAME\",\"type\":16,\"geoType\":0,\"transform\":false,\"transferName\":\"NAME\",\"copied\":false,\"drilled\":false,\"group\":{\"group_2\":{\"sort\":{\"details\":[],\"type\":2},\"filter\":{\"filterValue\":{\"type\":1,\"assist\":[\"分组1\",\"\"],\"value\":[\"July\",\"分组\"]},\"targetId\":\"89326c80be396f6f_kyligence[5f]NULLCS[5f]D_NAME_2\",\"filterType\":1},\"customGroup\":{\"value\":{\"details\":[{\"content\":[{\"value\":\"Alice\"},{\"value\":\"B\"},{\"value\":\"Billy\"}],\"id\":\"4a8fc652fa22fbed\",\"value\":\"分组\"},{\"content\":[{\"value\":\"Bob\"},{\"value\":\"Clay\"},{\"value\":\"Dewei\"}],\"id\":\"b619db2a53785904\",\"value\":\"分组1\"}],\"useOther\":\"\"},\"type\":2},\"repeatCal\":true,\"useDataBar\":false,\"showMissingTime\":false}}}],\"templateStyle\":{\"id\":\"DEFAULT\",\"theme\":\"bi-theme-default\",\"widgetGap\":1,\"templateBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"widgetBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleBackground\":{\"type\":\"color\",\"color\":\"\",\"imageId\":\"\"},\"titleFont\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":1},\"chart\":{\"chartColor\":[\"#ffbf53\",\"#04b1c2\",\"#f07474\",\"#c55784\",\"#9a5fb3\",\"#cf62d7\",\"#5e78ea\",\"#51b3f0\",\"#69d4dc\",\"#49b788\",\"#9ccc66\",\"#ffdb03\",\"#c18c00\",\"#363636\",\"#426fb3\",\"#66bf7f\",\"#f9cd76\",\"#392884\",\"#00ae71\",\"#93aad6\",\"#490761\",\"#faf14b\",\"#955305\",\"#016241\",\"#7388c1\",\"#8f1e20\",\"#d69b01\",\"#b7b7b7\",\"#511f90\",\"#99d0b9\",\"#c7c300\"],\"font\":{\"type\":1,\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\"},\"gradient\":[\"#4FDEFF\",\"#439DF7\",\"#526EFA\"]},\"table\":{\"tableStyle\":1,\"themeColor\":\"#CDE1FC\",\"font\":{\"type\":1,\"header\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"fontAlign\":2},\"body\":{\"fontFamily\":\"\\\"Microsoft YaHei\\\", PingFangSC-Regular\",\"fontSize\":12,\"bold\":false,\"italic\":false,\"underline\":false,\"fontColor\":\"\",\"dimFontAlign\":1,\"tarFontAlign\":3}}},\"controlTheme\":\"\"},\"filter\":{\"filterType\":34,\"filterValue\":[]},\"widgetIdValueMap\":{},\"parameter\":{},\"rowExpand\":[],\"headerExpand\":{},\"filterValues\":[],\"globalFilter\":null,\"sessionId\":\"848a8ed5-456c-48cf-bda7-3f252a4d5c27\",\"reportId\":\"ecf4554aa851409199fbf224068d0c32\"}}}";

    @Test
    public void testHandle(@Mocked HttpServletRequest request, @Mocked HttpServletResponse response) throws Exception {
        StableManager.getContext().register(FineDashBoardServiceImpl.class);
        StableManager.getContext().register(FineWidgetExecutorServiceImpl.class);
        new MockUp<TableAbsentChecker>() {
            @Mock
            public void check(WidgetBean widgetBean) throws FineEngineException {
            }
        };
        new MockUp<PackHttpHandler>() {
            @Mock
            private FineRespond handleException(Exception e) {
                return FineRespond.fail();
            }
        };
        new MockUp<FineDashBoardService>() {
            @Mock
            private ReportBean getReportById(String reportId) throws Exception {
                return new ReportBean();
            }
        };
        new MockUp<PackPluginConfig>() {
            @Mock
            public PackPluginConfig getInstance() {
                return new PackPluginConfig();
            }

            public int getSqlQueryTimeout() {
                return 1;
            }

            public int getWidgetQueryTimeout() {
                return 1;
            }

            public int getReportQueryMax() {
                return 3;
            }

            public int getWidgetQueryMax() {
                return 3;
            }
        };
        new Expectations(FineDashBoardUtils.class) {
            {
                request.getInputStream();
                result = new DelegatingServletInputStream(new ByteArrayInputStream(body.getBytes()));

                FineDashBoardUtils.getUserFromReq(request, (String) any);
                result = new User();

                FineDashBoardUtils.isMobile(request);
                result = false;

                FineDashBoardUtils.getParameterFromRequest(request);
                result = new Parameters.Builder().build();
            }
        };

        new PackHttpHandler().handle(request, response);
    }
}